Subject: Re: [PATCH RFC 1/7] net: mdiobus: add clause 45 mdiobus accessors

From: Andrew Lunn <[email-masked]>
Date: Tue, 26 May 2020 16:39:06 +0200

On Tue, May 26, 2020 at 03:31:01PM +0100, Russell King wrote:
> There is a recurring pattern throughout some of the PHY code converting
> a devad and regnum to our packed clause 45 representation. Rather than
> having this scattered around the code, let's put a common translation
> function in mdio.h, and provide some register accessors.
> 
> Convert the phylib core, phylink, bcm87xx and cortina to use these.

Hi Russell

This is a useful patch whatever we decide about C45 probing. If you
can do some basic testing of it, i say submit it for this merge
window.

	Andrew